---
title: "Configurer les notifications par mail"
---
# Configurer les notifications par mail
Il peut être utile d'activer l'envoi d'email de la part de votre infrastructure pour vous dire lorsque quelque chose se passe mal. Dans ce cas il faut configurer un MTA (mail transfer agent).

## Configurer Exim4
Exim4 est un MTA, celui installé par défaut sur Raspberry PI, pour éviter des recherches je me suis basé dessus mais pourrai en changer par la suite si cela ne me convient pas.

Pour ouvrir l'utilitaire de configuration lancez `sudo dpkg-reconfigure exim4-config`, on peut recevoir simplement les mails en local et les consulter via la commande `mail`. Cependant le but ici sera de recevoir les mails directement dans la boîte mail dont je me sers au quotidien, pour cela on va configurer Exim4 en mode relais. Pour cela on sélectionne l'option smarthost et pas de courrier local.

Puis on édite /etc/exim4/passwd.client pour y ajouter les identifiants, puis on édite /etc/exim4/exim4.conf.template pour ajouter les lignes protocol = smtps et hosts_require_auth = ssl0.ovh.net et enfin on édite /etc/email-addresses selon le schéma décrit en en-tête de fichier.

[Sources](https://www.deltasight.fr/utiliser-ovh-smarthost-exim4/)

## Tester

Pour tester votre configuration vous pouvez utiliser la commande mail comme suit :

`echo "Votre message, le corps du mail" | mail -s "Sujet du mail" votre.nom@exemple.org`, si tout a été configuré correctement vous devriez voir apparaître un mail dans votre boîte de réception

## CRON

Si votre nom d'utilisateur sur la machine est différent de votre nom d'utilisateur par mail vous ne recevrez rien, il faut modifier le fichier crontab. Entrez `crontab -e` puis tout en haut du fichier ajoutez :
```
MAILTO=<mon adresse mail>
```
